Apache JMeter

## org.apache.jmeter.timers
Class ConstantThroughputTimerBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          org.apache.jmeter.testbeans.BeanInfoSupport
              org.apache.jmeter.timers.ConstantThroughputTimerBeanInfo

All Implemented Interfaces:
  BeanInfo

public class ConstantThroughputTimerBeanInfo
extends BeanInfoSupport

BeanInfo for the ConstantThroughputTimer.

Field Summary

Fields inherited from class org.apache.jmeter.testbeans.BeanInfoSupport
`DEFAULT, NOT_EXPRESSION, NOT_OTHER, NOT_UNDEFINED, RESOURCE_BUNDLE, TAGS`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`ConstantThroughputTimerBeanInfo()`

Method Summary
`static int` `getCalcModeAsInt(String mode)`

Methods inherited from class org.apache.jmeter.testbeans.BeanInfoSupport
`createPropertyGroup, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, property, setIcon`

Methods inherited from class java.beans.SimpleBeanInfo
`loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantThroughputTimerBeanInfo

    public ConstantThroughputTimerBeanInfo()

Method Detail

### getCalcModeAsInt

    public static int getCalcModeAsInt(String mode)

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.